<?php

/*
=====================================================================

  프로젝트 이름 : 피리 웹프로그램

  만든사람 : 피리 PIREE ( piree1977@gmail.com )

  홈페이지 : www.piree.kr

  작업날짜 : 2017년 02월 17일 금요일 오후 23시 28분 - 날씨 맑고 추움

  그누보드5.4용 작성날짜 : 2020년 07월 27일 일요일 오전 02시 29분 / 흐림, 23, 23, 28, 19 / 최고 좋음, 7, 3

  저 작 권 : Copyright ⓒ 2014-2023 피리 piree.kr All right reserved
              그누보드 외에 추가된 소스는~
              만든사람의 허락없이 무단으로 사용할수 없습니다.
              사용하고자 할 경우 만든사람의 허락을 받아야 합니다.
              https://.piree.kr 에 문의해 주세요.

=====================================================================
 피리 > 관리자 > 피리 기본 관리 > 설치하거나 반드시 첨부해야 할 피리 웹프로그램 그누보드5 설정 테이블에 저장하기
=====================================================================

*/

  IF ( !defined('_GNUBOARD_') )                              EXIT;

  $pwp_install_a = array();

  $pwp_include_extend_a = array();

  $pwp_head_include_a = array();

  $pwp_body_include_a = array();

  $pwp_tail_include_a = array();

  $sql = "SELECT COUNT(*) FROM `". $piree['program_sam'] ."`";
  $pwp_t = (int)sql_efv($sql);

  IF ( $pwp_t > 0 )
  {

      $sql_select  = "SELECT `pgs_prog_n`, `pgs_top_include_n`, `pgs_head_include_n`, `pgs_body_include_n`, `pgs_tail_include_n` ";
      $sql_select .= "FROM `". $piree['program_sam'] ."` ORDER BY `pgs_prog_n` ASC";
      $result = sql_query($sql_select);

      WHILE( $row = sql_fetch_array($result) )
      {

          IF ( $row['pgs_prog_n'] > 0 )
          {

              $pwp_install_a[] = $row['pgs_prog_n'];

              IF ( $row['pgs_top_include_n'] == 1 || $row['pgs_top_include_n'] == 11 )
              {

                  $pwp_include_extend_a[] = $row['pgs_prog_n'] .':'. $row['pgs_top_include_n'];

              }

              IF ( $row['pgs_head_include_n'] == 1 || $row['pgs_head_include_n'] == 11 )
              {

                  $pwp_head_include_a[] = $row['pgs_prog_n'] .':'. $row['pgs_head_include_n'];

              }

              IF ( $row['pgs_body_include_n'] == 1 || $row['pgs_body_include_n'] == 11 )
              {

                  $pwp_body_include_a[] = $row['pgs_prog_n'] .':'. $row['pgs_body_include_n'];

              }

              IF ( $row['pgs_tail_include_n'] == 1 || $row['pgs_tail_include_n'] == 11 )
              {

                  $pwp_tail_include_a[] = $row['pgs_prog_n'] .':'. $row['pgs_tail_include_n'];

              }

          }

      }

  }

  $pwp_install_s = implode('|', $pwp_install_a);

  $pwp_top_include_s = implode('|', $pwp_include_extend_a);

  $pwp_head_include_s = implode('|', $pwp_head_include_a);

  $pwp_body_include_s = implode('|', $pwp_body_include_a);

  $pwp_tail_include_s = implode('|', $pwp_tail_include_a);

  $sql_cf_upd   = "UPDATE `". $g5['config_table'] ."` SET ";
  $sql_cf_upd .= "`cf_pwp_install_s`      = '". $pwp_install_s ."', ";
  $sql_cf_upd .= "`cf_pwp_top_include_s`  = '". $pwp_top_include_s ."', ";
  $sql_cf_upd .= "`cf_pwp_head_include_s`  = '". $pwp_head_include_s ."', ";
  $sql_cf_upd .= "`cf_pwp_body_include_s`  = '". $pwp_body_include_s ."', ";
  $sql_cf_upd .= "`cf_pwp_tail_include_s`  = '". $pwp_tail_include_s ."'";

  IF ( !sql_query($sql_cf_upd) )
  IF ( !sql_query($sql_cf_upd) )
  {

      IF ( !isset($config['cf_pwp_install_s']) )
      {
          $sql = "ALTER TABLE `". $g5['config_table'] ."` ADD `cf_pwp_install_s` VARCHAR(255) NOT NULL DEFAULT '' AFTER `cf_mem_reload_minute_n`";
          sql_query($sql, false);
      }

      IF ( !isset($config['cf_pwp_top_include_s']) )
      {
          $sql = "ALTER TABLE `". $g5['config_table'] ."` ADD `cf_pwp_top_include_s` VARCHAR(255) NOT NULL DEFAULT '' AFTER `cf_pwp_install_s`";
          sql_query($sql, false);
      }

      IF ( !isset($config['cf_pwp_head_include_s']) )
      {
          $sql = "ALTER TABLE `". $g5['config_table'] ."` ADD `cf_pwp_head_include_s` VARCHAR(255) NOT NULL DEFAULT '' AFTER `cf_pwp_top_include_s`";
          sql_query($sql, false);
      }

      IF ( !isset($config['cf_pwp_body_include_s']) )
      {
          $sql = "ALTER TABLE `". $g5['config_table'] ."` ADD `cf_pwp_body_include_s` VARCHAR(255) NOT NULL DEFAULT '' AFTER `cf_pwp_head_include_s`";
          sql_query($sql, false);
      }

      IF ( !isset($config['cf_pwp_tail_include_s']) )
      {
          $sql = "ALTER TABLE `". $g5['config_table'] ."` ADD `cf_pwp_tail_include_s` VARCHAR(255) NOT NULL DEFAULT '' AFTER `cf_pwp_body_include_s`";
          sql_query($sql, false);
      }

      IF ( !sql_query($sql_cf_upd) )
      {

          alert("[사이트 설정\"을 수정하지 못했습니다.");
      }

  }

?>